package com.zipcodewilmington.generic.identifiables;

import java.io.Serializable;

/**
 * @author leon on 05/12/2018.
 */
public class ActionFigure <TypeOfId extends Serializable> implements IdentifiableInterface<TypeOfId> {

    private TypeOfId id;

    @Override
    public TypeOfId getIdentity() {
        return id;
    }

    @Override
    public void setId(TypeOfId typeOfId) {
        this.id = typeOfId;
    }

    public Class<? extends Serializable> getIdentityType() {
        return id.getClass();
    }

//    @Override
//    public void setId(Long aLong) {
//
//    }


//    @Override
//    public Serializable getIdentity() {
//        return null;
//    }
//
//    public Class getIdentityType() {
//        return null;
//    }
}
